diff --git a/admin.php b/admin.php
index 23d8f37..57878ad 100644
--- a/admin.php
+++ b/admin.php
@@ -10970,359 +10964,358 @@ if (file_exists($filename)) {
 }
 
 
-     function func_set_labels($item) {
+function func_set_labels($item) {
 
-$series_counter = func_series_count($item);
+	$series_counter = func_series_count($item);
 
-$i=1;
-while($i <= $series_counter['gallery_count']) {
+	$i=1;
+	while($i <= $series_counter['gallery_count']) {
 
-$revive_array = func_special_label_array($item,"gallery",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['gallery_gallery_manage_'.$i] = "Manage Galleries";
-$_SESSION['label']['gallery_gallery_add_'.$i] = "Add Gallery";
-} else {
-$_SESSION['label']['gallery_gallery_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['gallery_gallery_add_'.$i] = $revive_array['add'];
-}
-$revive_array = func_special_label_array($item,"photo",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['photo_add_'.$i] = "Add Image";
-} else {
-$_SESSION['label']['photo_add_'.$i] = $revive_array['add'];
-}
-
-$i++;
-}
+		$revive_array = func_special_label_array($item,"gallery",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['gallery_gallery_manage_'.$i] = "Manage Galleries";
+			$_SESSION['label']['gallery_gallery_add_'.$i] = "Add Gallery";
+		} else {
+			$_SESSION['label']['gallery_gallery_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['gallery_gallery_add_'.$i] = $revive_array['add'];
+		}
+		$revive_array = func_special_label_array($item,"photo",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['photo_add_'.$i] = "Add Image";
+		} else {
+			$_SESSION['label']['photo_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['gallery_video_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"gallery_video",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['gallery_video_manage_'.$i] = "Manage Video Galleries";
-$_SESSION['label']['gallery_video_add_'.$i] = "Add Video Gallery";
-} else {
-$_SESSION['label']['gallery_video_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['gallery_video_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['gallery_video_count']) {
 
-$revive_array = func_special_label_array($item,"photo_video",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['photo_video_add_'.$i] = "Add Video";
-} else {
-$_SESSION['label']['photo_video_add_'.$i] = $revive_array['add'];
-}
+		$revive_array = func_special_label_array($item,"gallery_video",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['gallery_video_manage_'.$i] = "Manage Video Galleries";
+			$_SESSION['label']['gallery_video_add_'.$i] = "Add Video Gallery";
+		} else {
+			$_SESSION['label']['gallery_video_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['gallery_video_add_'.$i] = $revive_array['add'];
+		}
 
-$i++;
-}
+		$revive_array = func_special_label_array($item,"photo_video",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['photo_video_add_'.$i] = "Add Video";
+		} else {
+			$_SESSION['label']['photo_video_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['gallery_product_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"gallery_product",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['gallery_product_manage_'.$i] = "Manage Product Galleries";
-$_SESSION['label']['gallery_product_add_'.$i] = "Add Product Gallery";
-} else {
-$_SESSION['label']['gallery_product_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['gallery_product_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['gallery_product_count']) {
 
-$revive_array = func_special_label_array($item,"photo_product",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['photo_product_add_'.$i] = "Add Product";
-} else {
-$_SESSION['label']['photo_product_add_'.$i] = $revive_array['add'];
-}
+		$revive_array = func_special_label_array($item,"gallery_product",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['gallery_product_manage_'.$i] = "Manage Product Galleries";
+			$_SESSION['label']['gallery_product_add_'.$i] = "Add Product Gallery";
+		} else {
+			$_SESSION['label']['gallery_product_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['gallery_product_add_'.$i] = $revive_array['add'];
+		}
 
-$i++;
-}
+		$revive_array = func_special_label_array($item,"photo_product",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['photo_product_add_'.$i] = "Add Product";
+		} else {
+			$_SESSION['label']['photo_product_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['gallery_wip_count']) {
+		$i++;
+	}
 
+	$i=1;
+	while($i <= $series_counter['gallery_wip_count']) {
 
 
-$revive_array = func_special_label_array($item,"gallery_wip",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['gallery_wip_manage_'.$i] = "Manage Work in Progress Galleries";
-$_SESSION['label']['gallery_wip_add_'.$i] = "Add Work in Progress Gallery";
-} else {
-$_SESSION['label']['gallery_wip_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['gallery_wip_add_'.$i] = $revive_array['add'];
-}
 
-$revive_array = func_special_label_array($item,"photo_wip",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['photo_wip_add_'.$i] = "Add Work in Progress";
-} else {
-$_SESSION['label']['photo_wip_add_'.$i] = $revive_array['add'];
-}
+		$revive_array = func_special_label_array($item,"gallery_wip",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['gallery_wip_manage_'.$i] = "Manage Work in Progress Galleries";
+			$_SESSION['label']['gallery_wip_add_'.$i] = "Add Work in Progress Gallery";
+		} else {
+			$_SESSION['label']['gallery_wip_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['gallery_wip_add_'.$i] = $revive_array['add'];
+		}
 
- $i++;
-}
+		$revive_array = func_special_label_array($item,"photo_wip",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['photo_wip_add_'.$i] = "Add Work in Progress";
+		} else {
+			$_SESSION['label']['photo_wip_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['gallery_paypal_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"gallery_paypal",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['gallery_paypal_manage_'.$i] = "Manage Paypal Galleries";
-$_SESSION['label']['gallery_paypal_add_'.$i] = "Add Paypal Gallery";
-} else {
-$_SESSION['label']['gallery_paypal_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['gallery_paypal_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['gallery_paypal_count']) {
 
-$revive_array = func_special_label_array($item,"photo_paypal",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['photo_paypal_add_'.$i] = "Add Paypal Item";
-} else {
-$_SESSION['label']['photo_paypal_add_'.$i] = $revive_array['add'];
-}
- $i++;
-}
+		$revive_array = func_special_label_array($item,"gallery_paypal",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['gallery_paypal_manage_'.$i] = "Manage Paypal Galleries";
+			$_SESSION['label']['gallery_paypal_add_'.$i] = "Add Paypal Gallery";
+		} else {
+			$_SESSION['label']['gallery_paypal_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['gallery_paypal_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['gallery_slideshow_count']) {
+		$revive_array = func_special_label_array($item,"photo_paypal",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['photo_paypal_add_'.$i] = "Add Paypal Item";
+		} else {
+			$_SESSION['label']['photo_paypal_add_'.$i] = $revive_array['add'];
+		}
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"gallery_slideshow",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['gallery_slideshow_manage_'.$i] = "Manage Slideshow Galleries";
-$_SESSION['label']['gallery_slideshow_add_'.$i] = "Add Slideshow Gallery";
-} else {
-$_SESSION['label']['gallery_slideshow_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['gallery_slideshow_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['gallery_slideshow_count']) {
 
-$revive_array = func_special_label_array($item,"photo_slideshow",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['photo_slideshow_add_'.$i] = "Add Slideshow Picture";
-} else {
-$_SESSION['label']['photo_slideshow_add_'.$i] = $revive_array['add'];
-}
+		$revive_array = func_special_label_array($item,"gallery_slideshow",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['gallery_slideshow_manage_'.$i] = "Manage Slideshow Galleries";
+			$_SESSION['label']['gallery_slideshow_add_'.$i] = "Add Slideshow Gallery";
+		} else {
+			$_SESSION['label']['gallery_slideshow_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['gallery_slideshow_add_'.$i] = $revive_array['add'];
+		}
 
- $i++;
-}
+		$revive_array = func_special_label_array($item,"photo_slideshow",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['photo_slideshow_add_'.$i] = "Add Slideshow Picture";
+		} else {
+			$_SESSION['label']['photo_slideshow_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['page_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"page",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['page_manage_'.$i] = "Manage Pages";
-$_SESSION['label']['page_add_'.$i] = "Add Page";
-} else {
-$_SESSION['label']['page_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['page_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['page_count']) {
 
- $i++;
-}
+		$revive_array = func_special_label_array($item,"page",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['page_manage_'.$i] = "Manage Pages";
+			$_SESSION['label']['page_add_'.$i] = "Add Page";
+		} else {
+			$_SESSION['label']['page_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['page_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['menu_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"menu",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['menu_manage_'.$i] = "Manage Menu";
-$_SESSION['label']['menu_add_'.$i] = "Add Menu Item";
-} else {
-$_SESSION['label']['menu_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['menu_add_'.$i] = $revive_array['add'];
-}
- $i++;
-}
+	$i=1;
+	while($i <= $series_counter['menu_count']) {
 
-$i=1;
-while($i <= $series_counter['member_count']) {
+		$revive_array = func_special_label_array($item,"menu",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['menu_manage_'.$i] = "Manage Menu";
+			$_SESSION['label']['menu_add_'.$i] = "Add Menu Item";
+		} else {
+			$_SESSION['label']['menu_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['menu_add_'.$i] = $revive_array['add'];
+		}
+		$i++;
+	}
 
+	$i=1;
+	while($i <= $series_counter['member_count']) {
 
-$revive_array = func_special_label_array($item,"member",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['member_manage_'.$i] = "Manage Members";
-$_SESSION['label']['member_add_'.$i] = "Add Member";
-} else {
-$_SESSION['label']['member_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['member_add_'.$i] = $revive_array['add'];
-}
 
- $i++;
-}
+		$revive_array = func_special_label_array($item,"member",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['member_manage_'.$i] = "Manage Members";
+			$_SESSION['label']['member_add_'.$i] = "Add Member";
+		} else {
+			$_SESSION['label']['member_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['member_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['sidebar_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"sidebar",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['sidebar_manage_'.$i] = "Manage Sidebars";
-$_SESSION['label']['sidebar_add_'.$i] = "Add Sidebar";
-} else {
-$_SESSION['label']['sidebar_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['sidebar_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['sidebar_count']) {
 
- $i++;
-}
+		$revive_array = func_special_label_array($item,"sidebar",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['sidebar_manage_'.$i] = "Manage Sidebars";
+			$_SESSION['label']['sidebar_add_'.$i] = "Add Sidebar";
+		} else {
+			$_SESSION['label']['sidebar_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['sidebar_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['sidebar_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"sidebar_photo",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['sidebar_photo_manage_'.$i] = "Manage Sidebar Photos";
-$_SESSION['label']['sidebar_photo_add_'.$i] = "Add Sidebar Photo";
-} else {
-$_SESSION['label']['sidebar_photo_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['sidebar_photo_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['sidebar_count']) {
 
- $i++;
-}
+		$revive_array = func_special_label_array($item,"sidebar_photo",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['sidebar_photo_manage_'.$i] = "Manage Sidebar Photos";
+			$_SESSION['label']['sidebar_photo_add_'.$i] = "Add Sidebar Photo";
+		} else {
+			$_SESSION['label']['sidebar_photo_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['sidebar_photo_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['header_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"header",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['header_manage_'.$i] = "Manage Headers";
-$_SESSION['label']['header_add_'.$i] = "Add Header";
-} else {
-$_SESSION['label']['header_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['header_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['header_count']) {
 
- $i++;
-}
+		$revive_array = func_special_label_array($item,"header",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['header_manage_'.$i] = "Manage Headers";
+			$_SESSION['label']['header_add_'.$i] = "Add Header";
+		} else {
+			$_SESSION['label']['header_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['header_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['note_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"note",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['note_manage_'.$i] = "Manage Notes";
-$_SESSION['label']['note_add_'.$i] = "Add Note";
-} else {
-$_SESSION['label']['note_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['note_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['note_count']) {
 
- $i++;
-}
+		$revive_array = func_special_label_array($item,"note",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['note_manage_'.$i] = "Manage Notes";
+			$_SESSION['label']['note_add_'.$i] = "Add Note";
+		} else {
+			$_SESSION['label']['note_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['note_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['paypal_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"paypal",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['paypal_manage_'.$i] = "Manage Paypal Configurations";
-$_SESSION['label']['paypal_add_'.$i] = "Add Paypal Configurations";
-} else {
-$_SESSION['label']['paypal_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['paypal_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['paypal_count']) {
 
- $i++;
-}
+		$revive_array = func_special_label_array($item,"paypal",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['paypal_manage_'.$i] = "Manage Paypal Configurations";
+			$_SESSION['label']['paypal_add_'.$i] = "Add Paypal Configurations";
+		} else {
+			$_SESSION['label']['paypal_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['paypal_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['article_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"article",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['article_manage_'.$i] = "Manage Articles";
-$_SESSION['label']['article_add_'.$i] = "Add Article";
-} else {
-$_SESSION['label']['article_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['article_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['article_count']) {
 
- $i++;
-}
+		$revive_array = func_special_label_array($item,"article",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['article_manage_'.$i] = "Manage Articles";
+			$_SESSION['label']['article_add_'.$i] = "Add Article";
+		} else {
+			$_SESSION['label']['article_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['article_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['submember_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"submember",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['submember_manage_'.$i] = "Manage Submembers";
-$_SESSION['label']['submember_add_'.$i] = "Add Submember";
-} else {
-$_SESSION['label']['submember_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['submember_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['submember_count']) {
 
- $i++;
-}
+		$revive_array = func_special_label_array($item,"submember",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['submember_manage_'.$i] = "Manage Submembers";
+			$_SESSION['label']['submember_add_'.$i] = "Add Submember";
+		} else {
+			$_SESSION['label']['submember_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['submember_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['event_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"event",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['event_manage_'.$i] = "Manage Events";
-$_SESSION['label']['event_add_'.$i] = "Add Event";
-} else {
-$_SESSION['label']['event_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['event_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['event_count']) {
 
- $i++;
-}
+		$revive_array = func_special_label_array($item,"event",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['event_manage_'.$i] = "Manage Events";
+			$_SESSION['label']['event_add_'.$i] = "Add Event";
+		} else {
+			$_SESSION['label']['event_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['event_add_'.$i] = $revive_array['add'];
+		}
 
-$i=1;
-while($i <= $series_counter['category_count']) {
+		$i++;
+	}
 
-$revive_array = func_special_label_array($item,"category",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['category_manage_'.$i] = "Manage Categories";
-$_SESSION['label']['category_add_'.$i] = "Add Categories";
-} else {
-$_SESSION['label']['category_manage_'.$i] = $revive_array['manage'];
-$_SESSION['label']['category_add_'.$i] = $revive_array['add'];
-}
-$revive_array = func_special_label_array($item,"category_assign",$i);
-if ($revive_array['num']==0) {
-$_SESSION['label']['category_assign_manage_'.$i] = "Manage Category Assignments";
-$_SESSION['label']['category_assign_add_'.$i] = "Add Category Assignment";
-} else {
-$_SESSION['label']['category_assign_manage'] = $revive_array['manage'];
-$_SESSION['label']['category_assign_add_'.$i] = $revive_array['add'];
-}
+	$i=1;
+	while($i <= $series_counter['category_count']) {
 
-$i++;
-}
+		$revive_array = func_special_label_array($item,"category",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['category_manage_'.$i] = "Manage Categories";
+			$_SESSION['label']['category_add_'.$i] = "Add Categories";
+		} else {
+			$_SESSION['label']['category_manage_'.$i] = $revive_array['manage'];
+			$_SESSION['label']['category_add_'.$i] = $revive_array['add'];
+		}
+		$revive_array = func_special_label_array($item,"category_assign",$i);
+		if ($revive_array['num']==0) {
+			$_SESSION['label']['category_assign_manage_'.$i] = "Manage Category Assignments";
+			$_SESSION['label']['category_assign_add_'.$i] = "Add Category Assignment";
+		} else {
+			$_SESSION['label']['category_assign_manage'] = $revive_array['manage'];
+			$_SESSION['label']['category_assign_add_'.$i] = $revive_array['add'];
+		}
 
+		$i++;
+	}
 }
 
 
 function func_series_count($client) {
-$query="SELECT * FROM members where id=".$client;
-$result=mysql_query($query);
-$num=mysql_numrows($result);
+	$query="SELECT * FROM members where id=".$client;
+	$result=mysql_query($query);
+	$num=mysql_numrows($result);
 
-$return_truth['gallery_count']=mysql_result($result,0,"gallery_count");
-$return_truth['gallery_video_count']=mysql_result($result,0,"gallery_video_count");
-$return_truth['gallery_product_count']=mysql_result($result,0,"gallery_product_count");
-$return_truth['gallery_paypal_count']=mysql_result($result,0,"gallery_paypal_count");
-$return_truth['gallery_wip_count']=mysql_result($result,0,"gallery_wip_count");
-$return_truth['gallery_slideshow_count']=mysql_result($result,0,"gallery_slideshow_count");
-$return_truth['page_count']=mysql_result($result,0,"page_count");
-$return_truth['article_count']=mysql_result($result,0,"article_count");
-$return_truth['sidebar_count']=mysql_result($result,0,"sidebar_count");
-$return_truth['header_count']=mysql_result($result,0,"header_count");
-$return_truth['note_count']=mysql_result($result,0,"note_count");
-$return_truth['paypal_count']=mysql_result($result,0,"paypal_count");
-$return_truth['event_count']=mysql_result($result,0,"event_count");
-$return_truth['menu_count']=mysql_result($result,0,"menu_count");
-$return_truth['category_count']=mysql_result($result,0,"category_count");
-$return_truth['member_count']=mysql_result($result,0,"member_count");
-$return_truth['submember_count']=mysql_result($result,0,"submember_count");
+	$return_truth['gallery_count']=mysql_result($result,0,"gallery_count");
+	$return_truth['gallery_video_count']=mysql_result($result,0,"gallery_video_count");
+	$return_truth['gallery_product_count']=mysql_result($result,0,"gallery_product_count");
+	$return_truth['gallery_paypal_count']=mysql_result($result,0,"gallery_paypal_count");
+	$return_truth['gallery_wip_count']=mysql_result($result,0,"gallery_wip_count");
+	$return_truth['gallery_slideshow_count']=mysql_result($result,0,"gallery_slideshow_count");
+	$return_truth['page_count']=mysql_result($result,0,"page_count");
+	$return_truth['article_count']=mysql_result($result,0,"article_count");
+	$return_truth['sidebar_count']=mysql_result($result,0,"sidebar_count");
+	$return_truth['header_count']=mysql_result($result,0,"header_count");
+	$return_truth['note_count']=mysql_result($result,0,"note_count");
+	$return_truth['paypal_count']=mysql_result($result,0,"paypal_count");
+	$return_truth['event_count']=mysql_result($result,0,"event_count");
+	$return_truth['menu_count']=mysql_result($result,0,"menu_count");
+	$return_truth['category_count']=mysql_result($result,0,"category_count");
+	$return_truth['member_count']=mysql_result($result,0,"member_count");
+	$return_truth['submember_count']=mysql_result($result,0,"submember_count");
 
 
 
-return $return_truth;
+	return $return_truth;
 }
 
 function get_mime_type($filename, $mimePath = '/etc') {
diff --git a/awstatsproxy.php b/awstatsproxy.php
new file mode 100644
index 0000000..59862df
--- /dev/null
+++ b/awstatsproxy.php
@@ -0,0 +1,56 @@
+<?php
+require_once('user.php');
+session_start();
+$user = get_unix_user_info();
+putenv('AWSTATS_USERDIR='. $user['dir'] .'/tmp/awstats/');
+
+if($_GET['output'])
+{
+	$output = '-output=' .escapeshellarg($_GET['output']);
+}
+else
+{
+	$output = '-output';
+}
+
+if($_GET['lang'])
+{
+	$lang = '-lang=' . escapeshellarg($_GET['lang']);
+}
+else
+{
+	$lang = '-lang=en';
+}
+
+$month_ago = time() - 24 * 3600 * 30;
+
+if($_GET['month'])
+{
+	$month = '-month=' . (int)$_GET['month'];
+}
+else
+{
+	$month = '-month=' . date('m', $month_ago);;
+}
+
+if($_GET['year'])
+{
+	$year = '-year=' . (int)$_GET['year'];
+}
+else
+{
+	$year = '-year=' . date('Y', $month_ago);
+}
+
+
+ob_start();
+system('/usr/local/cpanel/3rdparty/bin/awstats.hwd.pl -config=' . $user['domain'] . ' ' . $output . ' ' . $lang . ' ' . $month . ' ' . $year);
+$html = ob_get_contents();
+ob_end_clean();
+
+$html = preg_replace('#/tmp/awstats/[^\?]+#', '', $html);
+$html = preg_replace('#target="awstatsbis"#', '', $html);
+$html = preg_replace('#Update now#', '', $html);
+echo $html;
+//echo '<pre>'; print_r($_SESSION); echo '</pre>';
+?>
diff --git a/user.php b/user.php
index 106f5eb..dee6ab0 100644
--- a/user.php
+++ b/user.php
@@ -1,4 +1,18 @@
 <?php
+require_once('tasks.php');
+
+function get_unix_user_info($domain=NULL)
+{
+	if(!$domain)
+	{
+		$domain = preg_replace('#http://(www\.)?#', '', $_SESSION['root_web']);
+		$domain = preg_replace('#([^/]+)/.*#', '\\1', $domain);
+	}
+	$user = get_username_for_domain($domain);
+	$info = posix_getpwnam($user);
+	$info['domain'] = $domain;
+	return $info;
+}
 
 /* TODO: make it proper - store unix username in db*/
 function get_current_username()
